#include <hmg.ch>

Function Main
   public _cAnywhereSearchStr := ''
   private aCountries := HB_ATOKENS( MEMOREAD( "Countries.lst" ),   CRLF )
   private aCities := HB_ATOKENS( MEMOREAD( "LargCits.lst" ),   CRLF )
   private aNationalities := HB_ATOKENS( MEMOREAD( "Nationality.lst" ),   CRLF )
   private aGrid := {}
   
   set navigation extended
   
   asort( aCountries )
   asort( aCities )
   asort( aNationalities )
   
   for i := 1 to 150
      aadd( aGrid, { aCountries[ i ], aCities[ i ], aNationalities[ i ] } )
   next i   
   define window main at 0, 0 width 800 height 600 main
      define label textboxlabel
         row 10
         col 10
         value 'TextBox'         
      end label
      define textbox textbox
         row 10
         col 160
      end textbox
      define tree tree1 at 40, 10 width 200 height 200 on lostfocus _HMGAnywhereSearchClear()
         node 'Parent 1'
            treeitem 'Child 1'
            treeitem 'Child 2'
            treeitem 'Child 3'
            node 'Sub-Parent 1'
               treeitem 'Child 4'
            end node   
         end node
      end tree 
      define listbox list1
         row 40
         col 210
         width 200
         height 200
         multiselect .t.
         fontname 'Arial'
         fontsize 14
         items aCountries
         value { 1 }
         on lostfocus _HMGAnywhereSearchClear()
      end listbox
      define combobox combo1
         row 250
         col 10
         width 200
         items aNationalities
         fontname 'FixedSys'
         fontsize 12
         value 1
         on lostfocus _HMGAnywhereSearchClear()
      end combobox
      define grid grid1
         row 280
         col 10
         width 350
         height 200
         items aGrid
         headers { 'Head1', 'Head2', 'Head3' }
         widths { 100, 100, 120 }
         value { 1 }
         multiselect .t.
         on lostfocus _HMGAnywhereSearchClear()
      end grid
      define grid grid2
         row 280
         col 370
         width 330
         height 200
         virtual .t.
         itemcount 1000
         headers { 'Column1', 'Column2' }
         widths { 150, 150 }
         value 1 
         onquerydata testquery()
         on lostfocus _HMGAnywhereSearchClear()
      end grid
      
      define statusbar 
         statusitem 'Status 1'
         statusitem 'Status 2'
         statusitem 'Status 3'
      end statusbar   
   end window
   Create Event ProcName _HMGAnywhereSearch( 'tree1', 'main', .t. ) HWND GetControlHandle ( 'tree1', 'main' )
   Create Event ProcName _HMGAnywhereSearch( 'list1', 'main', .f. ) HWND GetControlHandle ( 'list1', 'main' )   
   Create Event ProcName _HMGAnywhereSearch( 'combo1', 'main', .t. ) HWND GetControlHandle ( 'combo1', 'main' )   
   Create Event ProcName _HMGAnywhereSearch( 'grid1', 'main', .t. ) HWND GetControlHandle ( 'grid1', 'main' )   
   Create Event ProcName _HMGAnywhereSearch( 'grid2', 'main', .t. ) HWND GetControlHandle ( 'grid2', 'main' )   
   main.center
   main.activate   
Return

function testquery
   This.QueryData := 'Row' + alltrim( Str ( This.QueryRowIndex ) ) + ',' + 'Col' + alltrim( Str ( This.QueryColIndex ) )
return nil

